summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-block/fwdl
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-block/fwdl')
-rw-r--r--sys-block/fwdl/Manifest1
-rw-r--r--sys-block/fwdl/fwdl-1.2.3.ebuild28
-rw-r--r--sys-block/fwdl/metadata.xml5
3 files changed, 34 insertions, 0 deletions
diff --git a/sys-block/fwdl/Manifest b/sys-block/fwdl/Manifest
new file mode 100644
index 00000000000..709ebfd44d1
--- /dev/null
+++ b/sys-block/fwdl/Manifest
@@ -0,0 +1 @@
+DIST fwdl-1.2.3.tar.gz 19452 RMD160 cdab35866680b4b8b08c2dff5d18feb877025274 SHA1 b76a4f91fe2fa9c0ac46d15493d9ea4c8ea3d535 SHA256 8bd7a71dd17b9c9f07df00d5a9ecabdd022aec07b78eb3b9de7325fab689b8ac
diff --git a/sys-block/fwdl/fwdl-1.2.3.ebuild b/sys-block/fwdl/fwdl-1.2.3.ebuild
new file mode 100644
index 00000000000..0959fe65c69
--- /dev/null
+++ b/sys-block/fwdl/fwdl-1.2.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit toolchain-funcs
+
+DESCRIPTION="Seagate Fibre-Channel disk firmware upgrade tool"
+HOMEPAGE="http://www.tc.umn.edu/~erick205/Projects/"
+SRC_URI="http://www.tc.umn.edu/~erick205/Projects/${PN}/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64 ~ppc"
+IUSE="debug"
+
+src_prepare() {
+ use debug || { sed -i -e "s/^EXTRA_DEFINES/#\0/" Makefile || die ; }
+}
+
+src_compile() {
+ emake COMPILE_LINUX="$(tc-getCXX) ${CXXFLAGS} ${LDFLAGS}"
+}
+
+src_install() {
+ dosbin fwdl
+ dodoc CHANGES INSTALL README
+}
diff --git a/sys-block/fwdl/metadata.xml b/sys-block/fwdl/metadata.xml
new file mode 100644
index 00000000000..96a2d586367
--- /dev/null
+++ b/sys-block/fwdl/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>base-system</herd>
+</pkgmetadata>